ChangeSet 1.1722.83.17, 2004/06/04 15:12:44-07:00, spitalnik@penguin.cz

[PATCH] USB: pegasus driver and ATEN device support

I have created a patch to add support for ATEN device in pegasus usb driver.
I've sent the patch to the maintainer stated in pegasus.h but after several
weeks I didn't recieve a response, so I'm sending it to you now. The patch
should apply cleanly on 2.6.6, but it doesn't apply cleanly on todays -bk as
there was some patch adding some other device. One thing I'm not 100% sure
are the flags specified to PEGASUS_DEV, what means HAS_HOME_PNA?

Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/net/pegasus.h |    3 +++
 1 files changed, 3 insertions(+)


diff -Nru a/drivers/usb/net/pegasus.h b/drivers/usb/net/pegasus.h
--- a/drivers/usb/net/pegasus.h	Fri Jun 18 11:03:58 2004
+++ b/drivers/usb/net/pegasus.h	Fri Jun 18 11:03:58 2004
@@ -121,6 +121,7 @@
 #define	VENDOR_ADMTEK		0x07a6
 #define	VENDOR_AEILAB		0x3334
 #define	VENDOR_ALLIEDTEL	0x07c9
+#define	VENDOR_ATEN		0x0557
 #define	VENDOR_BELKIN		0x050d
 #define	VENDOR_BILLIONTON	0x08dd
 #define	VENDOR_COMPAQ		0x049f
@@ -149,6 +150,8 @@
 #else	/* PEGASUS_DEV */
 
 PEGASUS_DEV( "3Com USB Ethernet 3C460B", VENDOR_3COM, 0x4601,
+		DEFAULT_GPIO_RESET | PEGASUS_II )
+PEGASUS_DEV( "ATEN USB Ethernet UC-110T", VENDOR_ATEN, 0x2007,
 		DEFAULT_GPIO_RESET | PEGASUS_II )
 PEGASUS_DEV( "USB HPNA/Ethernet", VENDOR_ABOCOM, 0x110c,
 		DEFAULT_GPIO_RESET | PEGASUS_II | HAS_HOME_PNA )
